System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Xml.Serialization.CodeExporter

The class is used by the Web Services Description Language Tool (Wsdl.exe) and the class while generating client proxy classes or abstract server classes from a Web Services Description Language (WSDL) document. Instead of using directly, use Wsdl.exe.

Generates types and attribute declarations from internal type mapping information for SOAP-encoded message parts defined in a WSDL document.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Instead of directly creating an instance of the class, use the Wsdl.exe tool.

  Initializes a new instance of the class, assuming no code compile unit.

  A that specifies the namespace of the types to generate.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Instead of directly creating an instance of the class, use the Wsdl.exe tool.

  Initializes a new instance of the class, specifying a code compile unit parameter in addition to a namespace parameter.

  A that specifies the namespace of the types to generate.
  A that identifies the program graph container to which used assembly references are automatically added.
- Constructor
  2.0.0.0
  4.0.0.0

  Instead of directly creating an instance of the class, use the Wsdl.exe tool.

  Initializes a new instance of the class, specifying a code namespace, a code compile unit, and code generation options.

  A that specifies the namespace of the types to generate.
  A that identifies the program graph container to which used assembly references are automatically added.
  A enumeration that specifies the options with which exported code is generated.
- Constructor
  2.0.0.0
  4.0.0.0

  Instead of directly creating an instance of the class, use the Wsdl.exe tool.

  Initializes a new instance of the class, specifying a code namespace, a code compile unit, code generation options, and mappings.

  A that specifies the namespace of the types to generate.
  A that identifies the program graph container to which used assembly references are automatically added.
  A enumeration that specifies the options with which exported code is generated.
  A that contains objects.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class, specifying a code namespace, a code compile unit, a code generator, code generation options, and mappings.

  A that specifies the namespace of the types to generate.
  A that identifies the program graph container to which used assembly references are automatically added.
  A that is used to create the code.
  A enumeration that specifies the options with which exported code is generated.
  A that contains objects.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  This method is used by the Wsdl.exe tool when a WSDL document specifies SOAP encoding, as described in Section 5 of the SOAP 1.1 specification.

  Add a declaration to a method parameter or return value corresponding to a part element of a SOAP message definition in a WSDL document.

  The collection of objects for the generated type, to which the method adds an attribute declaration. An internal .NET Framework type mapping for a single part of a WSDL message definition.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  This method is used by the Wsdl.exe tool when a WSDL document specifies SOAP encoding, as described in Section 5 of the SOAP 1.1 specification.

  Adds a declaration to a method parameter or return value that corresponds to a part element of a SOAP message definition in a WSDL document.

  The collection of objects for the generated type to which the method adds an attribute declaration. An internal .NET Framework type mapping for a single part of a WSDL message definition. true to add an initial argument that contains the XML element name for the attribute declaration that is being generated; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is used by the Wsdl.exe tool when a WSDL document specifies SOAP encoding, as described in Section 5 of the SOAP 1.1 specification.

  Generates a .NET Framework type, plus attribute declarations, for each of the parts that belong to a SOAP message definition in a WSDL document.

  Internal .NET Framework type mappings for the element parts of a WSDL message definition.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is used by the Wsdl.exe tool.

  Generates a .NET Framework type, plus attribute declarations, for a SOAP header.

  Internal .NET Framework type mapping information for a SOAP header element.
- Property
  System.CodeDom.CodeAttributeDeclarationCollection To be added: an object of type 'System.CodeDom.CodeAttributeDeclarationCollection'

  One or more attributes can be applied to a base type to allow one or more derived types to be serialized, depending on an object's actual type at run time.

  Rather than use the class, use the Wsdl.exe tool.

  Gets a collection of declarations, specifying derived types.

  1.0.5000.0
  2.0.0.0